import { BasicColumn } from '/@/components/Table';
export const columns: BasicColumn[] = [
  {
    title: 'plc地址',
    dataIndex: 'plcaddr',
    width: 100,
  },
  {
    title: '值名称',
    dataIndex: 'valuename',
    width: 100,
  },
  {
    title: '值类型',
    width: 100,
    dataIndex: 'valuetype',
  },
  {
    title: '最小值',
    dataIndex: 'fmin',
    width: 120,
    editRow: true,
    editRule: true,
    editComponent: 'InputNumber',
  },
  {
    title: '最大值',
    dataIndex: 'fmax',
    width: 120,
    editRow: true,
    editRule: true,
    editComponent: 'InputNumber',
  },
  {
    title: '模拟最小值',
    dataIndex: 'testlow',
    width: 120,
    editRow: true,
    editRule: true,
    editComponent: 'InputNumber',
  },
  {
    title: '模拟最大值',
    dataIndex: 'testup',
    width: 120,
    editRow: true,
    editRule: true,
    editComponent: 'InputNumber',
  },
];
