import { BasicColumn } from '/@/components/Table';
export const columns: BasicColumn[] = [
  {
    title: 'id',
    dataIndex: 'id',
    ifShow: false,
    editRow: true,
  },
  {
    title: '设备id',
    dataIndex: 'deviceid',
    ifShow: false,
    editRow: true,
  },
  {
    title: 'IP地址',
    dataIndex: 'ip',
    width: 100,
    editRow: true,
    editRule: true,
  },
  {
    title: '端口号',
    width: 100,
    dataIndex: 'port',
    editRow: true,
    editRule: true,
    editComponent: 'InputNumber',
  },
  {
    title: '摄像头名称',
    dataIndex: 'name',
    width: 100,
    editRow: true,
  },
  {
    title: '控制密码',
    dataIndex: 'password',
    width: 120,
    editRow: true,
    editRule: true,
  },
  {
    title: '摄像头用户',
    dataIndex: 'username',
    width: 120,
    editRow: true,
  },
];
